/*******************************************************************************
 subrequest.h - Apache subrequest utility functions

 Copyright (C) 2020-2024 CodeShop B.V.
 http://www.code-shop.com

 For licensing see the LICENSE file
******************************************************************************/

#ifndef SUBREQUEST_H_AKW
#define SUBREQUEST_H_AKW

#ifdef __cplusplus
extern "C" {
#endif

void subreq_init(void);
int subreq_download(void* ctx, char const* url, uint64_t* offset, uint32_t* len,
                    uint64_t* size, headers_t* headers, buckets_t* buckets);

#ifdef __cplusplus
} // extern C
#endif

#endif // SUBREQUEST_H_AKW

// End Of File

